Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Mockup/MockupMembershipProvider.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Mockup/MockupMembershipProvider.cs	(revision 9166)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Mockup/MockupMembershipProvider.cs	(revision 9166)
@@ -0,0 +1,189 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Web.Security;
+
+namespace HeuristicLab.Services.Optimization.ControllerService.Mockup {
+  public class MockupRoleProvider : RoleProvider {
+    public override void AddUsersToRoles(string[] usernames, string[] roleNames) {      
+    }
+
+    public override void CreateRole(string roleName) {      
+    }
+
+    public override bool DeleteRole(string roleName, bool throwOnPopulatedRole) {
+      return true;
+    }
+
+    public override string[] FindUsersInRole(string roleName, string usernameToMatch) {
+      return new string[] { "fschoeppl" };
+    }
+
+    public override string[] GetAllRoles() {
+      return new string[] { "Web User" };
+    }
+
+    public override string[] GetRolesForUser(string username) {
+      return new string[] { "Web User" };
+    }
+
+    public override string[] GetUsersInRole(string roleName) {
+      return new string[] { "fschoeppl" };
+    }
+
+    public override bool IsUserInRole(string username, string roleName) {
+      return true;
+    }
+
+    public override void RemoveUsersFromRoles(string[] usernames, string[] roleNames) {      
+    }
+
+    public override bool RoleExists(string roleName) {
+      return roleName == "Web User";
+    }
+
+    public override string ApplicationName {
+      get; set;
+    }
+  }
+
+  public class MockupMembershipProvider : MembershipProvider {
+    private static MembershipUser testUser;
+
+    static MockupMembershipProvider() {
+      try {
+        testUser = new MembershipUser("MockupMembershipProvider", "fschoeppl", "1", "fschoeppl", "Birthday of your mother?", "No comment", true, false, DateTime.Now, DateTime.Now, DateTime.Now, DateTime.Now, DateTime.Now);
+      }
+      catch (Exception e) {
+        Console.WriteLine(e.Message);
+      }
+    }
+
+    public override bool ChangePassword(string username, string oldPassword, string newPassword) {
+      return true;
+    }
+
+    public override bool ChangePasswordQuestionAndAnswer(string username, string password, string newPasswordQuestion, string newPasswordAnswer) {
+      return true;
+    }
+
+    public override bool EnablePasswordReset {
+      get { return true; }
+    }
+
+    public override bool  EnablePasswordRetrieval
+    {
+	    get { return true; }
+    }
+
+    public override string ApplicationName {
+      get;
+      set;
+    }
+
+    public override MembershipUser CreateUser(string username, string password, string email, string passwordQuestion, string passwordAnswer, bool isApproved, object providerUserKey, out MembershipCreateStatus status) {
+      var user = new MembershipUser("MockupMembershipProvider", username, providerUserKey, email, passwordQuestion, passwordAnswer, true, false, DateTime.Now, DateTime.Now, DateTime.Now, DateTime.Now, DateTime.Now);
+      status = MembershipCreateStatus.Success;
+      return user;
+    }
+
+    public override bool DeleteUser(string username, bool deleteAllRelatedData) {
+      return true;
+    }
+
+    public override MembershipUserCollection FindUsersByEmail(string emailToMatch, int pageIndex, int pageSize, out int totalRecords) {
+      var col = new MembershipUserCollection();
+      totalRecords = 0;
+      if (emailToMatch == "fschoeppl") {
+        totalRecords = 1;
+        col.Add(testUser);
+      }
+      return col;
+    }
+
+    public override MembershipUserCollection FindUsersByName(string usernameToMatch, int pageIndex, int pageSize, out int totalRecords) {
+      return FindUsersByEmail(usernameToMatch, pageIndex, pageSize, out totalRecords);
+    }
+
+    public override MembershipUserCollection GetAllUsers(int pageIndex, int pageSize, out int totalRecords) {
+      return FindUsersByEmail("fschoeppl", pageIndex, pageSize, out totalRecords);
+    }
+
+    public override int GetNumberOfUsersOnline() {
+      return 1;
+    }
+
+    public override string GetPassword(string username, string answer) {
+      if (username == "fschoeppl")
+        return "fschoeppl";
+      return "";
+    }
+
+    public override MembershipUser GetUser(object providerUserKey, bool userIsOnline) {
+      if (testUser.ProviderUserKey == providerUserKey)
+        return testUser;
+      return null;
+    }
+
+    public override MembershipUser GetUser(string username, bool userIsOnline) {
+      if (testUser.UserName == username)
+        return testUser;
+      return null;
+    }
+
+    public override string GetUserNameByEmail(string email) {
+      if (testUser.Email == email)
+        return testUser.UserName;
+      return null;
+    }
+
+    public override int MaxInvalidPasswordAttempts {
+      get { return 100; }
+    }
+
+    public override int MinRequiredNonAlphanumericCharacters {
+      get { return 0; }
+    }
+
+    public override int MinRequiredPasswordLength {
+      get { return 1; }
+    }
+
+    public override int PasswordAttemptWindow {
+      get { return 5; }
+    }
+
+    public override MembershipPasswordFormat PasswordFormat {
+      get { return MembershipPasswordFormat.Clear; }
+    }
+
+    public override string PasswordStrengthRegularExpression {
+      get { return ""; }
+    }
+
+    public override bool RequiresQuestionAndAnswer {
+      get { return true; }
+    }
+
+    public override bool RequiresUniqueEmail {
+      get { return false; }
+    }
+
+    public override string ResetPassword(string username, string answer) {
+      return "fschoeppl";
+    }
+
+    public override bool UnlockUser(string userName) {
+      return true;
+    }
+
+    public override void UpdateUser(MembershipUser user) {
+    }
+
+    public override bool ValidateUser(string username, string password) {
+      return username == "fschoeppl" && password == "fschoeppl";
+    }
+
+  }
+}
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Models/ChartModels.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Models/ChartModels.cs	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Models/ChartModels.cs	(revision 9166)
@@ -18,3 +18,16 @@
     }    
   }
+
+  public class RowNameContainer {
+    private IList<string> rowNames = new List<string>();
+
+    public IList<string> RowNames {
+      get { return rowNames; }
+      set { rowNames = value; }
+    }
+  }
+
+  public class DatatableContainer {
+    public string[] Datatables { get; set; }
+  }
 }
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Models/OptimizationModels.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Models/OptimizationModels.cs	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Models/OptimizationModels.cs	(revision 9166)
@@ -7,4 +7,9 @@
 
 namespace HeuristicLab.Services.Optimization.Web.Models {
+  public class ScheduleJobModel {
+    public int Repetitions { get; set; }
+    public string Name { get; set; }
+    public string Group { get; set; }
+  }
 
   public class OptimizationModel {
@@ -41,10 +46,10 @@
           realValue += value.AttemptedValue;
         }
-        var param = (from par in scenario.InputParameters.Items where par.Value.Name == realKey select par).FirstOrDefault();
+        var param = (from par in scenario.FirstAlgorithm.Problem.Parameters.Items where par.Value.Name == realKey select par).FirstOrDefault();
         if (param != null && !param.Value.TrySetFromString(realValue)) {
           bindingContext.ModelState.AddModelError(bindingContext.ModelName, new Exception(string.Format("Unable to parse {0} into destination type {1}", value, param.Type)));
         }
       }
-      return scenario.InputParameters;
+      return scenario.FirstAlgorithm.Problem.Parameters;
     }
   }
@@ -55,10 +60,10 @@
       foreach (var key in controllerContext.RequestContext.HttpContext.Request.Form.AllKeys) {
         var value = bindingContext.ValueProvider.GetValue(key);
-        var param = (from par in scenario.AlgorithmParameters.Items where par.Value.Name == key select par).FirstOrDefault();
+        var param = (from par in scenario.FirstAlgorithm.Parameters.Items where par.Value.Name == key select par).FirstOrDefault();
         if (param != null && !param.Value.TrySetFromString(value.AttemptedValue)) {
           bindingContext.ModelState.AddModelError(bindingContext.ModelName, new Exception(string.Format("Unable to parse {0} into destination type {1}", value, param.Type)));
         }
       }
-      return scenario.AlgorithmParameters;
+      return scenario.FirstAlgorithm.Parameters;
     }
   }
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/AlgorithmParameters.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/AlgorithmParameters.cshtml	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/AlgorithmParameters.cshtml	(revision 9166)
@@ -2,9 +2,9 @@
 
 @{
-    ViewBag.Title = "AlgorithmParameters";
+    ViewBag.Title = "Algorithm Parameters";
 }
 
 <h2>Adjust algorithm parameters:</h2>
-@using (Html.BeginForm()) {
+@using (Html.BeginForm("AlgorithmParameters", "Optimization")) {
     @Html.ValidationSummary(true)
     <fieldset>
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/Index.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/Index.cshtml	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/Index.cshtml	(revision 9166)
@@ -2,5 +2,5 @@
 
 @{
-    ViewBag.Title = "Index";
+    ViewBag.Title = "Optimization-as-a-Service";
 }
 
@@ -32,5 +32,5 @@
 <ul>
 @foreach (var itm in Model.Scenarios) {
-    <li>@Html.ActionLink(itm.Name, "ProblemParameters", new { scenario=itm.Name })</li>
+    <li>@Html.ActionLink(itm.Id, "ProblemParameters", new { scenario=itm.Id })</li>
 }
 </ul>
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/JobDetails.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/JobDetails.cshtml	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/JobDetails.cshtml	(revision 9166)
@@ -28,7 +28,25 @@
 
 <h3>Run details:</h3>
-@for (int j=0; j < Model.Runs.Count; j++) {
+<div class="collapsible">
+@if (Model.Runs.Count > 1) {
+    <h3>Analyze runs</h3>
+    <div>
+        <div class="resizable ui-widget-content" style="width: 800px; height: 600px;">
+            <div id="dataTableView" style="width: 96%; height: 96%;">    
+              <form action="#">
+                <label for="dataTable">DataTable:</label>
+                <select name="dataTable" id="dataTable"></select>
+                <label for="dataRow">DataRow:</label>
+                <select name="dataRow" id="dataRow"></select>
+                <div id="dataTableGraph" style="width: 100%; height: 100%;"></div>
+              </form>
+            </div>
+        </div>
+    </div>
+}
+@for (int j = 0; j < Model.Runs.Count; j++) {
     var run = Model.Runs[j];
-    <p>@run.Name:</p>
+    <h3>@run.Name</h3>
+    <div>
     <table>
       <thead>
@@ -40,7 +58,7 @@
       <tbody>
       @for (var i = 0; i < run.Results.Count; i++) {
-        var result = run.Results[i];      
+          var result = run.Results[i];      
         <tr>
-          <td>@result.Value.Name</td> 
+          <td>@Html.Label(result.Value.Name, result.Value.Name)</td> 
           @if (result.Value is HeuristicLab.Services.Optimization.ControllerService.Model.DecimalMatrix) {
               var matrix = (result.Value as HeuristicLab.Services.Optimization.ControllerService.Model.DecimalMatrix);              
@@ -65,7 +83,11 @@
                   </div>                
               </td>
-          }
+          }          
           else {
-              <td>@((result.Value as HeuristicLab.Services.Optimization.ControllerService.Model.StringValue).Value)</td>
+              <td>
+                @Html.DisplayFor(m => result.Value)               
+              </td>
+              <!-- Html.Partial(string.Format("~/Views/Shared/DisplayTemplates/{0}.cshtml", result.Value.GetType().Name), result.Value) -->                
+              <!--td>((result.Value as HeuristicLab.Services.Optimization.ControllerService.Model.StringValue).Value)</td-->
           }
        </tr>
@@ -73,3 +95,5 @@
       </tbody>
     </table>
+    </div>
 }
+</div>
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/ProblemParameters.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/ProblemParameters.cshtml	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/ProblemParameters.cshtml	(revision 9166)
@@ -1,11 +1,11 @@
-﻿@model HeuristicLab.Services.Optimization.ControllerService.Model.InputParameters
+﻿@model HeuristicLab.Services.Optimization.ControllerService.Model.ProblemParameters
 
 @{
-    ViewBag.Title = "ProblemParameters";
+    ViewBag.Title = "Problem Parameters";
 }
 
 <h2>Adjust problem parameters:</h2>
 
-@using (Html.BeginForm()) {
+@using (Html.BeginForm("ProblemParameters", "Optimization")) {
     @Html.ValidationSummary(true)
     <fieldset>
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/ScheduleJob.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/ScheduleJob.cshtml	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Optimization/ScheduleJob.cshtml	(revision 9166)
@@ -2,19 +2,38 @@
 
 @{
-    ViewBag.Title = "ScheduleJob";
+    ViewBag.Title = "Schedule Job";
 }
 
-<h2>Do you really want to schedule the following job?</h2>
-
-
-<h3>Problem Parameters:</h3>
-@Html.DisplayFor(model => Model.InputParameters)
-
+@using (Html.BeginForm()) {    
+    <fieldset>
+        <legend>Scheduling parameters</legend>
+        <div class="editor-label">
+            <label for="name">Name:</label>
+        </div>
+        <div class="editor-field">
+            <input id="name" name="Name" type="text" value="Web scheduled job" />
+        </div>
+        <div class="editor-label">
+            <label for="repetitions">Repetitions:</label>
+        </div>
+        <div class="editor-field">
+            <input id="repetitions" name="Repetitions" type="text" value="1" />
+        </div>
+        <div class="editor-label">
+            <label for="group">Group:</label>
+        </div>
+        <div class="editor-field">
+            <input id="group" name="Group" type="text" value="TESTAZURE" />
+        </div>
+        <div class="editor-field">
+            <input type="submit" value="Schedule job!" />
+        </div>
+    </fieldset>
+}
+@if (Model.FirstAlgorithm.Problem != null) {
+    <h3>Problem Parameters:</h3>
+    @Html.DisplayFor(model => Model.FirstAlgorithm.Problem.Parameters)
+}
+    
 <h3>Algorithm Parameters:</h3>
-@Html.DisplayFor(model => Model.AlgorithmParameters)
-
-@using (Html.BeginForm()) {    
-    <p>
-        <input type="submit" value="Schedule job!" />
-    </p>
-}
+@Html.DisplayFor(model => Model.FirstAlgorithm.Parameters)
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/DisplayTemplates/DecimalMatrix.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/DisplayTemplates/DecimalMatrix.cshtml	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/DisplayTemplates/DecimalMatrix.cshtml	(revision 9166)
@@ -10,5 +10,5 @@
       @for (int i = 0; i < Model.Value.Length; i++) {
       <tr>
-        @if (Model.RowNames.Length > i) {
+        @if (Model.RowNames != null && Model.RowNames.Length > i) {
         <th scope="row">@Model.RowNames[i]</th>
         }
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/DisplayTemplates/ProblemParameters.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/DisplayTemplates/ProblemParameters.cshtml	(revision 9166)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/DisplayTemplates/ProblemParameters.cshtml	(revision 9166)
@@ -0,0 +1,10 @@
+﻿@model HeuristicLab.Services.Optimization.ControllerService.Model.ProblemParameters
+
+@foreach (var itm in Model.Items) {
+    <div class="editor-label param-input">
+        @Html.Label(itm.Value.Name, itm.Value.Name)
+    </div>
+    <div class="editor-label">
+        @Html.DisplayFor(model => itm.Value)
+    </div>
+}
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/DisplayTemplates/StringValue.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/DisplayTemplates/StringValue.cshtml	(revision 9166)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/DisplayTemplates/StringValue.cshtml	(revision 9166)
@@ -0,0 +1,3 @@
+﻿@model HeuristicLab.Services.Optimization.ControllerService.Model.StringValue
+
+@Model.Value
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/EditorTemplates/DecimalMatrix.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/EditorTemplates/DecimalMatrix.cshtml	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/EditorTemplates/DecimalMatrix.cshtml	(revision 9166)
@@ -19,6 +19,7 @@
     </td>
     }
-    <td><a class="delete-row" href="#">Delete</a></td>
-    <td><input type="submit" name="AddRow" value="Add Row"/></td>
+    <!-- TODO: Add unique identifier for algorithm / input parameters -->
+    <td>@Html.ActionLink("-", "DeleteRow", new { paramName = @Model.Name, id = @i }) </td>
+    <td>@Html.ActionLink("+", "AddRow", new { paramName = @Model.Name, id = @i }) </td>
   </tr>  
   }
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/EditorTemplates/ProblemParameters.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/EditorTemplates/ProblemParameters.cshtml	(revision 9166)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/EditorTemplates/ProblemParameters.cshtml	(revision 9166)
@@ -0,0 +1,10 @@
+﻿@model HeuristicLab.Services.Optimization.ControllerService.Model.ProblemParameters
+
+@foreach (var itm in Model.Items) {
+    <div class="editor-label">
+        @Html.Label(itm.Value.Name, itm.Value.Name)
+    </div>
+    <div class="editor-field">
+        @Html.EditorFor(model => itm.Value)
+    </div>
+}
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/_Layout.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/_Layout.cshtml	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/_Layout.cshtml	(revision 9166)
@@ -19,4 +19,5 @@
     <script src="@Url.Content("~/Content/jqplot/src/plugins/jqplot.canvasTextRenderer.js")" type="text/javascript"></script>
     <script src="@Url.Content("~/Content/jqplot/src/plugins/jqplot.canvasAxisLabelRenderer.js")" type="text/javascript"></script>
+    <script type="text/javascript" src="@Url.Content("~/Content/jqplot/src/plugins/jqplot.highlighter.js")"></script>
     <script type="text/javascript" src="@Url.Content("~/Content/jqplot/src/plugins/jqplot.barRenderer.js")"></script>
     <script type="text/javascript" src="@Url.Content("~/Content/jqplot/src/plugins/jqplot.categoryAxisRenderer.js")"></script>
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/WebRole.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/WebRole.cs	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/WebRole.cs	(revision 9166)
@@ -29,5 +29,10 @@
       }
 
+      RoleEnvironment.Changed += RoleEnvironmentChanged;
+
       return base.OnStart();
+    }
+
+    private void RoleEnvironmentChanged(object sender, RoleEnvironmentChangedEventArgs e) {
     }
   }
Index: /branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Cloud.cscfg
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Cloud.cscfg	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Cloud.cscfg	(revision 9166)
@@ -24,4 +24,7 @@
       <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountEncryptedPassword" value="MIIBnQYJKoZIhvcNAQcDoIIBjjCCAYoCAQAxggFOMIIBSgIBADAyMB4xHDAaBgNVBAMME1dpbmRvd3MgQXp1cmUgVG9vbHMCEBiSEYQzfxGpQrRVsLegHyUwDQYJKoZIhvcNAQEBBQAEggEALEyQxFoVGXNmWbDtfIra3tjA33W3n9ESgfWKGKv3f0Zsggkm3OzznfY9A8HIoZ7WMOvjl8l8gjQTSxSKGJG8052JM1V7y16jM/bjtShmk7N9h2vdX0rjxXLpdXjGji59PeL6rKiGu2ewPbJhNhvdTStqnpHydnvlb79J2ZbK8E5f+7ngCD7Gy9RQc8zm+1y3UzoqXxZlSVKhsVIvZMoIOuJM4TO7klDZJEsG3Rx/CUXFPAPf15H46t1B0zy2FrMW32BeWFr40qbUW+tKjg8Uiiw4EhHDtqryhzE3ZkjoR0iz7KUQBPDtvq8rSz049EW6ejgGuI2jDyW3iLfIeqfZEzAzBgkqhkiG9w0BBwEwFAYIKoZIhvcNAwcECFNbToWlDaTpgBAOc6871l7N2o4Mut92Cooo" />
       <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountExpiration" value="2013-07-05T23:59:59.0000000+02:00" />
+      <Setting name="Cloudia.WindowsAzure.Storage" value="ADJUST_ME" />
+      <Setting name="HiveEndpointName" value="WSHttpBinding_Remote_IHiveService" />
+      <Setting name="ControllerEndpointName" value="WSHttpBinding_Remote_IControllerService" />
     </ConfigurationSettings>
     <Certificates>
Index: /branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Local.cscfg
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Local.cscfg	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Local.cscfg	(revision 9166)
@@ -24,4 +24,7 @@
       <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountEncryptedPassword" value="MIIBnQYJKoZIhvcNAQcDoIIBjjCCAYoCAQAxggFOMIIBSgIBADAyMB4xHDAaBgNVBAMME1dpbmRvd3MgQXp1cmUgVG9vbHMCEBiSEYQzfxGpQrRVsLegHyUwDQYJKoZIhvcNAQEBBQAEggEALEyQxFoVGXNmWbDtfIra3tjA33W3n9ESgfWKGKv3f0Zsggkm3OzznfY9A8HIoZ7WMOvjl8l8gjQTSxSKGJG8052JM1V7y16jM/bjtShmk7N9h2vdX0rjxXLpdXjGji59PeL6rKiGu2ewPbJhNhvdTStqnpHydnvlb79J2ZbK8E5f+7ngCD7Gy9RQc8zm+1y3UzoqXxZlSVKhsVIvZMoIOuJM4TO7klDZJEsG3Rx/CUXFPAPf15H46t1B0zy2FrMW32BeWFr40qbUW+tKjg8Uiiw4EhHDtqryhzE3ZkjoR0iz7KUQBPDtvq8rSz049EW6ejgGuI2jDyW3iLfIeqfZEzAzBgkqhkiG9w0BBwEwFAYIKoZIhvcNAwcECFNbToWlDaTpgBAOc6871l7N2o4Mut92Cooo" />
       <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountExpiration" value="2013-07-05T23:59:59.0000000+02:00" />
+      <Setting name="Cloudia.WindowsAzure.Storage" value="ADJUST_ME" />
+      <Setting name="HiveEndpointName" value="WSHttpBinding_Local_IHiveService" />
+      <Setting name="ControllerEndpointName" value="WSHttpBinding_Local_IControllerService" />
     </ConfigurationSettings>
     <Certificates>
Index: /branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.build.csdef
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.build.csdef	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.build.csdef	(revision 9166)
@@ -32,9 +32,4 @@
       <Certificate name="localhost" storeLocation="LocalMachine" storeName="My" />
     </Certificates>
-    <Contents>
-      <Content destination=".\">
-        <SourceDirectory path="rcf/Debug/HeuristicLab.Services.Hive.WebRoleContent\" />
-      </Content>
-    </Contents>
   </WebRole>
   <WebRole name="HeuristicLab.Services.Optimization.Web" vmsize="Small">
@@ -56,4 +51,9 @@
       <Certificate name="localhost" storeLocation="LocalMachine" storeName="My" />
     </Certificates>
+    <ConfigurationSettings>
+      <Setting name="Cloudia.WindowsAzure.Storage" />
+      <Setting name="HiveEndpointName" />
+      <Setting name="ControllerEndpointName" />
+    </ConfigurationSettings>
   </WebRole>
 </ServiceDefinition>
Index: /branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.csdef
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.csdef	(revision 9165)
+++ /branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.csdef	(revision 9166)
@@ -42,4 +42,9 @@
       <Certificate name="localhost" storeLocation="LocalMachine" storeName="My" />
     </Certificates>
+    <ConfigurationSettings>
+      <Setting name="Cloudia.WindowsAzure.Storage" />
+      <Setting name="HiveEndpointName" />
+      <Setting name="ControllerEndpointName" />
+    </ConfigurationSettings>
   </WebRole>
 </ServiceDefinition>
